cURL
curl --request POST \
--url https://api.comm.com/api/v1/billing/charge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cost": 123,
"meta": {
"integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"webhook_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://api.comm.com/api/v1/billing/charge"
payload = {
"cost": 123,
"meta": {
"integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"webhook_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cost: 123,
meta: {
integration_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reason: '<string>',
webhook_request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};
fetch('https://api.comm.com/api/v1/billing/charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "Integration does not support managed balance"
}{
"message": "<string>",
"errors": {}
}Billing
Post v1billingcharge
POST
/
v1
/
billing
/
charge
cURL
⌘I